com.fasterxml.jackson.databind.deser.impl

## Class ValueInjector

- java.lang.Object
- - com.fasterxml.jackson.databind.BeanProperty.Std
  - - com.fasterxml.jackson.databind.deser.impl.ValueInjector

- All Implemented Interfaces:
    BeanProperty, Named, Serializable

      public class ValueInjector
      extends BeanProperty.Std

  Class that encapsulates details of value injection that occurs before deserialization of a POJO. Details include information needed to find injectable value (logical id) as well as method used for assigning value (setter or field)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `BeanProperty.Bogus, BeanProperty.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `_valueId` Identifier used for looking up value to inject

    - ### Fields inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

      `_member, _metadata, _name, _type, _wrapperName`

    - ### Fields inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `EMPTY_FORMAT, EMPTY_INCLUDE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueInjector(PropertyName propName, JavaType type, AnnotatedMember mutator, Object valueId)`
    `ValueInjector(PropertyName propName, JavaType type, Annotations contextAnnotations, AnnotatedMember mutator, Object valueId)` Deprecated. in 2.9 (remove from 3.0)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `findValue(DeserializationContext context, Object beanInstance)`
    `void` | `inject(DeserializationContext context, Object beanInstance)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

      `depositSchemaProperty, findAliases, findFormatOverrides, findPropertyFormat, findPropertyInclusion, getAnnotation, getContextAnnotation, getFullName, getMember, getMetadata, getName, getType, getWrapperName, isRequired, isVirtual, withType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _valueId

          protected final Object _valueId

      Identifier used for looking up value to inject

  - ### Constructor Detail

    - #### ValueInjector

          public ValueInjector(PropertyName propName,
                               JavaType type,
                               AnnotatedMember mutator,
                               Object valueId)

    - #### ValueInjector

          @Deprecated
          public ValueInjector(PropertyName propName,
                                           JavaType type,
                                           Annotations contextAnnotations,
                                           AnnotatedMember mutator,
                                           Object valueId)

      Deprecated. in 2.9 (remove from 3.0)

  - ### Method Detail

    - #### findValue

          public Object findValue(DeserializationContext context,
                                  Object beanInstance)
                           throws JsonMappingException

      Throws:
        `JsonMappingException`

    - #### inject

          public void inject(DeserializationContext context,
                             Object beanInstance)
                      throws IOException

      Throws:
        `IOException`

Copyright © 2008–2020 FasterXML. All rights reserved.